Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSDistributedQueueMBean

public interface JMSDistributedQueueMBean
extends JMSDistributedDestinationMBean

This class represents a JMS distributed queue, which is comprised of multiple physical JMS queues as members of a single distributed set of queues that can be served by multiple WebLogic Server instances within a cluster.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSDistributedDestinationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSVirtualDestinationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addMember(JMSDistributedQueueMemberMBean Member)` Add a member to this distributed queue.
`int` | `getForwardDelay()` The amount of time, in seconds, that a distributed queue member with messages, but with no consumers, will wait before forwarding its messages to other distributed queue members that do have consumers.
`JMSDistributedQueueMemberMBean[]` | `getMembers()` Get all the members for this distributed queue.
`boolean` | `removeMember(JMSDistributedQueueMemberMBean member)` Remove a member from this distributed queue.
`void` | `setForwardDelay(int forwardDelay)` The amount of time, in seconds, that a distributed queue member with messages, but with no consumers, will wait before forwarding its messages to other distributed queue members that do have consumers.
`void` | `setMembers(JMSDistributedQueueMemberMBean[] members)` Set all the members for this distributed queue.

Methods inherited from interface weblogic.management.configuration.JMSDistributedDestinationMBean
`getLoadBalancingPolicy, getTemplate, setLoadBalancingPolicy, setTemplate`

Methods inherited from interface weblogic.management.configuration.JMSVirtualDestinationMBean
`getJNDIName, setJNDIName`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMembers

    public JMSDistributedQueueMemberMBean[] getMembers()

  Get all the members for this distributed queue.

  A non-configurable MBean attribute.
  Returns:
    The members value

### setMembers

    public void setMembers(JMSDistributedQueueMemberMBean[] members)
                    throws javax.management.InvalidAttributeValueException

  Set all the members for this distributed queue.

  A dynamic MBean attribute
  Parameters:
    `members` - the JMSDistributedQueueMembers for the distributed queue
  Throws:
    javax.management.InvalidAttributeValueException -

### addMember

    public boolean addMember(JMSDistributedQueueMemberMBean Member)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add a member to this distributed queue.

  A dynamic MBean attribute
  Legal Value: JMSLegalHelper.jmsCheckDistributedDestinationMember(self,value)
  Parameters:
    `Member` - The feature to be added to the Member attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeMember

    public boolean removeMember(JMSDistributedQueueMemberMBean member)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove a member from this distributed queue.

  A dynamic MBean attribute
  Parameters:
    `member` - the JMSDistributedQueueMember to remove from the distributed queue
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the specified member is not a member of this distributed queue

### getForwardDelay

    public int getForwardDelay()

  The amount of time, in seconds, that a distributed queue member with messages, but with no consumers, will wait before forwarding its messages to other distributed queue members that do have consumers.

  A value of -1 indicates that no messages are forwarded to other queue members.

  Returns:
    The forwardDelay value

### setForwardDelay

    public void setForwardDelay(int forwardDelay)
                         throws javax.management.InvalidAttributeValueException

  The amount of time, in seconds, that a distributed queue member with messages, but with no consumers, will wait before forwarding its messages to other distributed queue members that do have consumers.

  A value of -1 indicates that no messages are forwarded to other queue members.

  Default Value: -1
  Secure Value: -1
  Parameters:
    `forwardDelay` - The new forwardDelay value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD